# Rust API client for gamenight-api-client-rs

Api specifaction for a Gamenight server

For more information, please visit [https://brentj.es](https://brentj.es)

## Overview

This API client was generated by the [OpenAPI Generator](https://openapi-generator.tech) project.  By using the [openapi-spec](https://openapis.org) from a remote server, you can easily generate an API client.

- API version: 1.0
- Package version: 0.1.0
- Generator version: 7.13.0
- Build package: `org.openapitools.codegen.languages.RustClientCodegen`

## Installation

Put the package under your project folder in a directory named `gamenight-api-client-rs` and add the following to `Cargo.toml` under `[dependencies]`:

```
gamenight-api-client-rs = { path = "./gamenight-api-client-rs" }
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8080*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**get_gamenight**](docs/DefaultApi.md#get_gamenight) | **GET** /gamenight | 
*DefaultApi* | [**get_gamenights**](docs/DefaultApi.md#get_gamenights) | **GET** /gamenights | Your GET endpoint
*DefaultApi* | [**get_token**](docs/DefaultApi.md#get_token) | **GET** /token | 
*DefaultApi* | [**post_gamenight**](docs/DefaultApi.md#post_gamenight) | **POST** /gamenight | 
*DefaultApi* | [**post_register**](docs/DefaultApi.md#post_register) | **POST** /user | 
*DefaultApi* | [**user_get**](docs/DefaultApi.md#user_get) | **GET** /user | 


## Documentation For Models

 - [AddGamenightRequestBody](docs/AddGamenightRequestBody.md)
 - [Failure](docs/Failure.md)
 - [Gamenight](docs/Gamenight.md)
 - [GetGamenightRequest](docs/GetGamenightRequest.md)
 - [GetToken401Response](docs/GetToken401Response.md)
 - [Login](docs/Login.md)
 - [Registration](docs/Registration.md)
 - [Token](docs/Token.md)
 - [User](docs/User.md)


To get access to the crate's generated documentation, use:

```
cargo doc --open
```

## Author

dennis@brentj.es

